
QGIS Application - Bug report #21701

Hypsometric Curves GDAL algorithm gives an error.

2019-03-29 01:30 PM - Alexandre Neto

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29517

Description

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/algs/qgis/HypsometricCurves.py", line 194, in processAlgorithm

cellXSize, cellYSize, percentage, step)

File "/usr/share/qgis/python/plugins/processing/algs/qgis/HypsometricCurves.py", line 239, in calculateHypsometry

with open(fName, 'w', newline='', encoding='utf-8') as out_file:

FileNotFoundError: [Errno 2] No such file or directory:

'/tmp/processing_7fe2ae3f152d4306b253b1f048928960/b89a40d1db914d0493e1145c6105dbd6/OUTPUT_DIRECTORY/hystogram_New scratch layer_1.csv'


gram_New scratch layer_1.csv'

Associated revisions

Revision c706cdeb - 2019-04-20 10:53 AM - Alexander Bruy

[processing] ensure that output temporary directory exists (fix #21701)

Revision 7976e606 - 2019-04-20 10:53 AM - Alexander Bruy

[processing] ensure that output temporary directory exists (fix #21701)

Revision 48f78d2f - 2019-04-20 10:53 AM - Alexander Bruy

[processing] ensure that output temporary directory exists (fix #21701)

Revision a744ddb6 - 2019-04-21 09:39 AM - Alexander Bruy

Merge pull request #9836 from alexbruy/fix-hypsometry

[processing] ensure that output temporary directory exists (fix #21701)

Revision 17823844 - 2019-04-21 05:23 PM - Alexander Bruy

Merge pull request #9838 from qgis/backport-9836-to-release-3_6

[Backport release-3_6] [processing] ensure that output temporary directory exists (fix #21701)
Revision 1337969a - 2019-04-22 03:01 AM - Alexander Bruy

[processing] ensure that output temporary directory exists (fix #21701)

History

#1 - 2019-03-29 01:32 PM - Giovanni Manghi

- Category changed from Processing/GDAL to Processing/QGIS

#2 - 2019-04-20 11:05 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9836

#3 - 2019-04-21 09:39 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c706cdeb06eab3e18a2c54e84b5f452f26892038.

#4 - 2019-04-21 09:42 AM - Alexander Bruy

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/9836

